org.springframework.cloud.dataflow.server.controller

## Class TaskPlatformController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.TaskPlatformController

-     @RestController
       @RequestMapping(value="/tasks/platforms")
       @ExposesResourceFor(value=LauncherResource.class)
      public class TaskPlatformController
      extends Object

  REST controller for task launching platform related operations.
  Author:
    Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskPlatformController(LauncherService launcherService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.hateoas.PagedModel<LauncherResource>` | `list(org.springframework.data.domain.Pageable pageable, String schedulesEnabled, org.springframework.data.web.PagedResourcesAssembler<Launcher> assembler)` Returns the list of platform accounts available for launching tasks.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskPlatformController

          public TaskPlatformController(LauncherService launcherService)

  - ### Method Detail

    - #### list

          @RequestMapping(value="",
                          method=GET)
           @ResponseStatus(value=OK)
          public org.springframework.hateoas.PagedModel<LauncherResource> list(org.springframework.data.domain.Pageable pageable,
                                                                                                                                                                @RequestParam(value="schedulesEnabled",required=false)
                                                                                                                                                                String schedulesEnabled,
                                                                                                                                                                org.springframework.data.web.PagedResourcesAssembler<Launcher> assembler)

      Returns the list of platform accounts available for launching tasks.
      Parameters:
        `pageable` - the Pageable request
        `assembler` - the paged resource assembler for Launcher
      Returns:
        the paged resources of type `LauncherResource`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.